CREATE TABLE anc_per_proc_evt_que (
    PERSON_EVENT_ID            NUMBER(18, 0),
    ENTERPRISE_ID              NUMBER(18, 0)    NOT NULL,
    PERSON_ID                  NUMBER(18, 0)    NOT NULL,
    PRD_OF_SVC_ID              NUMBER(18, 0)    NOT NULL,
    ASSIGNMENT_ID              NUMBER(18, 0)    NOT NULL,
    LEGAL_ENTITY_ID            NUMBER(18, 0)    NOT NULL,
    EVENT_ID                   NUMBER(18, 0)    NOT NULL,
    EVENT_DATE                 DATE             NOT NULL,
    EVENT_PROCESSING_STATUS    VARCHAR2(128)    NOT NULL,
    ESS_REQUEST_ID             NUMBER(18, 0),
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    PLAN_ENRL_STATUS           VARCHAR2(128),
    ACCRL_STATUS               VARCHAR2(128),
    EVAL_ABS_STATUS            VARCHAR2(128),
    PERSON_EVENT_ID            NUMBER(18, 0),
    ENTERPRISE_ID              NUMBER(18, 0)    NOT NULL,
    PERSON_ID                  NUMBER(18, 0)    NOT NULL,
    PRD_OF_SVC_ID              NUMBER(18, 0)    NOT NULL,
    ASSIGNMENT_ID              NUMBER(18, 0)    NOT NULL,
    LEGAL_ENTITY_ID            NUMBER(18, 0)    NOT NULL,
    EVENT_ID                   NUMBER(18, 0)    NOT NULL,
    EVENT_DATE                 DATE             NOT NULL,
    EVENT_PROCESSING_STATUS    VARCHAR2(128)    NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    PLAN_ENRL_STATUS           VARCHAR2(128),
    ACCRL_STATUS               VARCHAR2(128),
    EVAL_ABS_STATUS            VARCHAR2(128),
    ESS_REQUEST_ID             NUMBER(18, 0),
    CONSTRAINT pk_anc_per_proc_evt_que PRIMARY KEY (PERSON_EVENT_ID, PERSON_EVENT_ID)
);
